import * as riot from 'riot'

import AppSidebar from './components/sidebar.riot'

import AppTasks from './components/tasks.riot'
import AppTaskButton from './components/task-new.riot'
import AppTaskForm from './components/task-form.riot'

import AppNotification from './components/notification.riot'

// register components
riot.register('app-sidebar', AppSidebar)
riot.register('app-tasks', AppTasks)
riot.register('app-task-button', AppTaskButton)
riot.register('app-task-form', AppTaskForm)

riot.register('app-notification', AppNotification)

// mount components
riot.mount('app-sidebar')
riot.mount('app-tasks')
riot.mount('app-task-button')
riot.mount('app-task-form')

riot.mount('app-notification')