import got from 'got'
import { XMLParser } from 'fast-xml-parser'

import RequestHandler from './requestHandler.js'

/**
 *
 *
 *
 *
 */

class RssHandler extends RequestHandler
{
    /**
     *  getting rss feed from url
     *
     *
     */
    async send()
    {
        const buffer = await got(this.source.url, {
            responseType: 'buffer',
            resolveBodyOnly: true
        })

        const parser = new XMLParser()
        const feed = parser.parse(buffer.toString())

        this.processActions(feed)
    }
}

export default RssHandler